Creates a new tag against the request data.
1 min
POST
https://api.upstartcommerce.com/pim/tags
Header Parameters
- x-upstart-tenantstringrequiredDescriptionMin Length1
- x-upstart-sitestringrequiredDescriptionMin Length1
Body Parameters
- bodyTags.jsonrequired
Responses
201
- object
- idstring<uuid>Formatuuid
Response Headers
- Allow
- ETag
- Cache-Control
- Content-Type
- Location
400
- ValidationErrorResponse.json
401
- ErrorResponse.json
403
- ErrorResponse.json
405
- ErrorResponse.json
406
- ErrorResponse.json
415
- ErrorResponse.json
default
- ErrorResponse.json
curl
curl --request POST \
--url https://api.upstartcommerce.com/pim/tags \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("x-upstart-tenant", "string");
myHeaders.append("x-upstart-site", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/tags", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/tags")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["x-upstart-tenant"] = "string"
request["x-upstart-site"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.upstartcommerce.com/pim/tags"
payload = {}
headers = {
'accept': 'application/json',
'x-upstart-tenant': 'string',
'x-upstart-site': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Successfully created a new tag against the received data in request.
{
"id": ""
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{}401
// The provided credentials were not valid for this endpoint.
{}403
// User's roles are insufficient for this endpoint.
{}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{}406
// This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.
{}415
// This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
{}default
// This is the default internal server error. System was not able to process this request.
{}